Class | Sequel::Plugins::ManyThroughMany::ManyThroughManyAssociationReflection
In: | lib/sequel/plugins/many_through_many.rb
Parent: | Sequel::Model::Associations::ManyToManyAssociationReflection

The AssociationReflection subclass for many_through_many associations.

### Methods

default_associated_key_alias reciprocal

### Public Instance methods

default_associated_key_alias()

The default associated key alias(es) to use when eager loading associations via eager.

[Source]

        # File lib/sequel/plugins/many_through_many.rb, line 52
    52:         def default_associated_key_alias
    53:           self[:uses_left_composite_keys] ? (0...self[:through].first[:left].length).map{|i| "x_foreign_key_#{i}_x""x_foreign_key_#{i}_x"} : :x_foreign_key_x
    54:         end

reciprocal()

Many through many associations don‘t have a reciprocal

[Source]

        # File lib/sequel/plugins/many_through_many.rb, line 66
    66:         def reciprocal
    67:           nil
    68:         end

[Validate]